Skip to main content
GET
/
invoices
/
{id}
/
payments
List payments for an invoice
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/invoices/{id}/payments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
[
  {
    "currency": "<string>",
    "status": "<string>",
    "providerReference": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 123,
    "chargeReference": "<string>",
    "applicationFeeAmount": 123,
    "notes": "<string>",
    "receiptUrl": "<string>",
    "receiptEmail": "<string>",
    "paymentMethod": {
      "type": "<string>",
      "id": "<string>",
      "brand": "<string>",
      "last4": "<string>",
      "expMonth": 123,
      "expYear": 123,
      "funding": "<string>",
      "country": "<string>",
      "wallet": "<string>"
    },
    "billing": {
      "name": "<string>",
      "email": "<string>"
    },
    "risk": {
      "level": "<string>",
      "score": 123
    },
    "succeededAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required

Response

OK

currency
string
required
status
string
required
providerReference
string
required
id
string<uuid>
invoiceId
string<uuid>
organisationId
string<uuid>
amount
provider
any
Available options:
Stripe,
Manual,
null
chargeReference
null | string
applicationFeeAmount
notes
null | string
receiptUrl
null | string
receiptEmail
null | string
paymentMethod
object
billing
object
risk
object
succeededAt
null | string<date-time>
createdAt
string<date-time>